#!/bin/sh

NAME="OOo4Kids"
PROG=./opt/ooo4kids1.0/program/soffice

TEMP=~/.cache
DIR=ooo4kids

# GUI progress and error, where available

if [ -x "/usr/bin/zenity" -a ! -z "$DISPLAY" ]; then
  PROGRESS="zenity --progress --pulsate --auto-close"
  ERROR="zenity --error --text"
else
  PROGRESS=cat
  ERROR=echo
fi

# DEBS variable is set up by Zero Install

if [ -z "$DEBS" -o ! -d "$DEBS" ]; then
  $ERROR "Could not find $NAME DEBS in \$DEBS"
  exit 1
fi

mkdir -p $TEMP/$DIR
cd $TEMP/$DIR

if [ ! -x $PROG ]; then
  (
    for deb in $DEBS/*.deb; do
      echo "# Extracting `basename $deb`"
      ar p $deb data.tar.gz | tar xz
    done
  ) | $PROGRESS || $ERROR "Extraction failed $!"
fi

if [ -x $PROG ]; then
  exec $PROG "$@"
else
  $ERROR "Could not find $NAME $PROG in $PWD"
fi
